makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Instance Methods | Class Methods | List of all members
SDKProvider Class Reference

`#import <SDKProvider.h>`

Inherits NSObject.

## Instance Methods
(FrameProvider *) | - GetFrameProvider
(FaceTracker *) | - CreateFaceTracker
(MakeUpEngine *) | - CreateMakeUpEngine
(MakeupEngine *) | - CreateMakeupEngine
(SkinToneAnalyzer *) | - CreateSkinToneAnalyzer
(LightConditionsAnalyzer *) | - CreateLightConditionsAnalyzer
(EyeToneAnalyzer *) | - CreateEyeToneAnalyzer
(HairToneAnalyzer *) | - CreateHairToneAnalyzer

## Class Methods
(SDKProvider *) | + GetProvider:
(SDKProvider *) | + GetProvider:trackingQuality:

## Detailed Description

Provides all makeup|SDK modules.

## Method Documentation

## ◆ CreateEyeToneAnalyzer

- (EyeToneAnalyzer *) CreateEyeToneAnalyzer |  |  |

Gets or creates an EyeToneAnalyzer singleton instance.

Returns
  EyeToneAnalyzer instance.

## ◆ CreateFaceTracker

- (FaceTracker *) CreateFaceTracker |  |  |

Gets or creates a FaceTracker singleton instance.

Returns
  FaceTracker instance.

## ◆ CreateHairToneAnalyzer

- (HairToneAnalyzer *) CreateHairToneAnalyzer |  |  |

Gets or creates a HairToneAnalyzer singleton instance.

Returns
  HairToneAnalyzer instance.

## ◆ CreateLightConditionsAnalyzer

- (LightConditionsAnalyzer *) CreateLightConditionsAnalyzer |  |  |

Gets or creates a LightConditionsAnalyzer singleton instance.

Returns
  LightConditionsAnalyzer instance.

## ◆ CreateMakeUpEngine

- (MakeUpEngine *) CreateMakeUpEngine |  |  |

Deprecated:
  Please use `CreateMakeupEngine` method instead.

Gets or creates a MakeUpEngine singleton instance.

Returns
  MakeUpEngine instance.

## ◆ CreateMakeupEngine

- (MakeupEngine *) CreateMakeupEngine |  |  |

Gets or creates a MakeupEngine singleton instance.

Returns
  MakeupEngine instance.

## ◆ CreateSkinToneAnalyzer

- (SkinToneAnalyzer *) CreateSkinToneAnalyzer |  |  |

Gets or creates a SkinToneAnalyzer singleton instance.

Returns
  SkinToneAnalyzer instance.

## ◆ GetFrameProvider

- (FrameProvider *) GetFrameProvider |  |  |

Gets the FrameProvider instance. Use this to pass frames to the makeup engine, skin tone analyzer or face tracker.

Returns
  FrameProvider instance from the singleton.

## ◆ GetProvider:

+ (SDKProvider *) GetProvider: |  | (NSDictionary *) | licenses |

Gets or creates a SDKProvider singleton instance.

Parameters

  licenses | Dictionary of LicenseType Keys to NSString paths to license files. The keys are stored in global constants : MAKEUP_LICENSE_KEY, SKINTONE_LICENSE_KEY and FACETRACK_LICENSE_KEY

Returns
  SDKProvider singleton. Quality of internal face tracker set to TRACKING_QUALITY_HIGH.

## ◆ GetProvider:trackingQuality:

+ (SDKProvider *) GetProvider: |  | (NSDictionary *) | licenses
trackingQuality: |  | (TrackingQuality) | trackingQuality

Gets or creates a SDKProvider singleton instance with specified tracking quality.

Parameters

  licenses | Dictionary of LicenseType Keys to NSString paths to license files. The keys are stored in global constants: MAKEUP_LICENSE_KEY, SKINTONE_LICENSE_KEY, and FACETRACK_LICENSE_KEY
  trackingQuality | The quality of internal face tracker (TRACKING_QUALITY_HIGH or TRACKING_QUALITY_LOW).

Returns
  SDKProvider singleton.